import { SettingField, isSettingField, TransformStage, LiveEditing, isDragNodeDataObject, DragObjectType, isNode } from '@alilc/lowcode-designer';
import { Dragon } from '@alilc/lowcode-shell';
export default function getDesignerCabin(editor) {
  var designer = editor.get('designer');
  return {
    SettingField: SettingField,
    isSettingField: isSettingField,
    dragon: Dragon.create(designer.dragon),
    TransformStage: TransformStage,
    LiveEditing: LiveEditing,
    DragObjectType: DragObjectType,
    isDragNodeDataObject: isDragNodeDataObject,
    isNode: isNode
  };
}