import _extends from "@babel/runtime/helpers/extends";
import { createSettingFieldView, PopupContext, PopupPipe, Workbench as InnerWorkbench } from '@alilc/lowcode-editor-skeleton';
export default function getSkeletonCabin(skeleton) {
  return {
    createSettingFieldView: createSettingFieldView,
    PopupContext: PopupContext,
    PopupPipe: PopupPipe,
    Workbench: function Workbench(props) {
      return /*#__PURE__*/React.createElement(InnerWorkbench, _extends({}, props, {
        skeleton: skeleton
      }));
    } // hijack skeleton

  };
}