"use strict";

exports.__esModule = true;
exports["default"] = getDesignerCabin;

var _lowcodeDesigner = require("@alilc/lowcode-designer");

var _lowcodeShell = require("@alilc/lowcode-shell");

function getDesignerCabin(editor) {
  var designer = editor.get('designer');
  return {
    SettingField: _lowcodeDesigner.SettingField,
    isSettingField: _lowcodeDesigner.isSettingField,
    dragon: _lowcodeShell.Dragon.create(designer.dragon),
    TransformStage: _lowcodeDesigner.TransformStage,
    LiveEditing: _lowcodeDesigner.LiveEditing,
    DragObjectType: _lowcodeDesigner.DragObjectType,
    isDragNodeDataObject: _lowcodeDesigner.isDragNodeDataObject,
    isNode: _lowcodeDesigner.isNode
  };
}