import { isFormEvent, compatibleLegaoSchema, getNodeSchemaById } from '@alilc/lowcode-utils';
import { isNodeSchema } from '@alilc/lowcode-types';
import { getConvertedExtraKey, getOriginalExtraKey } from '@alilc/lowcode-designer';
declare const utils: {
    isNodeSchema: typeof isNodeSchema;
    isFormEvent: typeof isFormEvent;
    compatibleLegaoSchema: typeof compatibleLegaoSchema;
    getNodeSchemaById: typeof getNodeSchemaById;
    getConvertedExtraKey: typeof getConvertedExtraKey;
    getOriginalExtraKey: typeof getOriginalExtraKey;
};
export default utils;
